# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlVG/VectorGraphics.hpp File Reference

`#include "vl/Image.hpp"`
`#include "vl/Text.hpp"`
`#include "vl/Effect.hpp"`
`#include "vl/SceneManager.hpp"`
`#include "vl/Clear.hpp"`
`#include "vl/Scissor.hpp"`

## Classes

class | vlVG::VectorGraphics
| The VectorGraphics class is used in conjuction with SceneManagerVectorGraphics to generate and render 2D vector graphics. More...
class | vlVG::VectorGraphics::ImageState
class | vlVG::VectorGraphics::State

## Namespaces

namespace | vlVG
| The Vector Graphics namespace.

## Enumerations

enum | vlVG::ETextureMode { vlVG::TextureMode_Clamp, vlVG::TextureMode_Repeat }
| Defines how the texture is applied to the rendering primitive. More...
enum | vlVG::EPolygonStipple { vlVG::PolygonStipple_Solid, vlVG::PolygonStipple_Dot, vlVG::PolygonStipple_Chain, vlVG::PolygonStipple_HLine, vlVG::PolygonStipple_VLine }
| Poligon stipple patterns. More...
enum | vlVG::ELineStipple { vlVG::LineStipple_Solid, vlVG::LineStipple_Dot, vlVG::LineStipple_Dash, vlVG::LineStipple_Dash4, vlVG::LineStipple_Dash8, vlVG::LineStipple_DashDot, vlVG::LineStipple_DashDotDot }
| Line stipple patterns. More...

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:30 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.